<div class="container">
  <section>
    <h3>SQL Exercises</h3>
    <br/>
    <%= link_to 'Link to text file transcript of SQL session', "/pdf/problem_set_2_final.pdf", target: "_blank" %>
    <br/>
    <br>
    <%= link_to 'Link to stock file', "/pdf/stock.pdf", target: "_blank" %>
    <br/>
    <br/>

    <hr/>

  </section>
  <br/>
  <section>
    <h4>New Quotation</h4>

    <br/>

    <div class="add-new-quote">
      <%= form_for @quotation, :url => { :action => :quotations } do |form| %>
        <fieldset>
          <legend>Enter details</legend>
          <div class="form_row">
              <%= form.label :author_name %>
              <%= form.text_field :author_name, :size => 20, :maxlength => 40 %>
          </div>

          <div class="form_row">
            <label for="select-category">Category</label>
            <% categories = Category.all.map { |category| [category.category, category.id] } %>
            <%= form.select :category_id, categories + [['New', 0]], :id => 'select-category' %>
            <%= fields_for :categories do |c| %>
              <%= c.text_field :category, :size => 20, :maxlength => 40, :id => "category_field", :disabled => false %>
            <% end %>
            <%= javascript_pack_tag 'disable_textfield_on_select_option' %>
          </div>

          <div class="form_row d-flex align-items-start">
            <%= form.label :quote %>
            <%= form.text_area :quote, :rows => 2, :cols => 100, :maxlength => 500 %>
          </div>
        </fieldset>
        <br/>
        <div class="form_row">
          <%= form.submit 'Create' %>
        </div>
      <% end %>
    </div>
  </section>
  <br/>
  <hr/>
  <section>
    <h3>Quotations</h3>
    <br/>
    <div class="search_quote">
      <%= form_tag :url => { :action => :quotations }, :method => 'get' do %>
        <%= label_tag "Search Quotations" %>
        <%= text_field_tag :search, params[:search], :id => 'Search_Quotations' %>
        <%= submit_tag "Search", :name => nil %>
      <% end %>
    </div>

    <div class="display_quote">
      <table class="table table-striped table-bordered">
        <thead>
        <tr>
          <th>Quote</th>
          <th>Author</th>
          <th>Category</th>
          <th>Kill?</th>
        </tr>
        </thead>
        <tbody>
        <% @quotations.each do |quotation| %>
          <tr>
            <td><%= quotation.quote %></td>
            <td><%= quotation.author_name %></td>
            <td><%= quotation.category.category if quotation.category%></td>
            <td><%= link_to 'Kill', basic2_quotations_path(:quotation_id => { :id => quotation.id }) %></td>
          </tr>
        <% end %>
        </tbody>
      </table>
    </div>
    <div class="display-options">
      <%= link_to 'Reset Kills', basic2_quotations_path(:reset => { :value => true }), :class => 'btn btn-secondary' %>
      <% if params[:sort_by] == 'date' %>
        <%= link_to 'Sort by category', basic2_quotations_path(:sort_by => :category_id), :class => 'btn btn-secondary' %>
      <% else %>
        <%= link_to 'Sort by date', basic2_quotations_path(:sort_by => :date), :class => 'btn btn-secondary' %>
      <% end %>
    </div>
  </section>

  <hr/>

  <section>
    <h3>Import and Export Quotations</h3>

    <br/>

    <div class="export-quote">
      <%= link_to 'Export to XML', basic2_quotations_path(format: :xml), :class => 'btn btn-secondary'%>
      <%= link_to 'Export to JSON', basic2_quotations_path(format: :json), :class => 'btn btn-secondary' %>
    </div>

    <br/>

    <div class="import-quote">
      <%= form_tag :url => { :action => :quotations }, :method => 'post' do %>
        <%= text_area_tag :file_data, 'XML data', :rows => 10, :cols => 100, :maxlength => 500 %>
        <br/>
        <%= submit_tag "Import", :name => nil, :class => 'btn btn-secondary' %>
      <% end %>
    </div>
  </section>
</div>
